# Uses of Enum
io.dapr.v1.DaprProtos.PubsubSubscriptionType

Packages that use DaprProtos.PubsubSubscriptionType
Package
Description
io.dapr.v1

## Uses of DaprProtos.PubsubSubscriptionType in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.PubsubSubscriptionType
Modifier and Type
Method
Description
`static DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscriptionType.`forNumber(int value)`
`DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscription.Builder.`getType()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscription.`getType()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscriptionOrBuilder.`getType()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`static DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscriptionType.`valueOf(int value)`
Deprecated.
`static DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscriptionType.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.PubsubSubscriptionType`
DaprProtos.PubsubSubscriptionType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.PubsubSubscriptionType[]`
DaprProtos.PubsubSubscriptionType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.PubsubSubscriptionType
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.PubsubSubscriptionType>`
DaprProtos.PubsubSubscriptionType.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type DaprProtos.PubsubSubscriptionType
Modifier and Type
Method
Description
`DaprProtos.PubsubSubscription.Builder`
DaprProtos.PubsubSubscription.Builder.`setType(DaprProtos.PubsubSubscriptionType value)`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`